import * as vue from 'vue';
import { PropType, Plugin } from 'vue';

type ISize = 'xs' | 'sm' | 'md' | 'lg';
type IVariant = 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'glass' | 'ghost' | 'link';
declare const buttonProps: {
    onClick: {
        type: PropType<(e: MouseEvent) => any>;
        required: boolean;
    };
    size: {
        type: PropType<ISize>;
        required: boolean;
    };
    variant: {
        type: PropType<IVariant>;
        required: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    outline: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    wide: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    active: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    pill: {
        type: BooleanConstructor;
        required: boolean;
    };
    block: {
        type: BooleanConstructor;
        required: boolean;
    };
    circle: {
        type: BooleanConstructor;
        required: boolean;
    };
    square: {
        type: BooleanConstructor;
        required: boolean;
    };
    disableAnimation: {
        type: BooleanConstructor;
        required: boolean;
    };
    label: {
        type: StringConstructor;
        required: boolean;
    };
};
declare const Component: vue.DefineComponent<{
    onClick: {
        type: PropType<(e: MouseEvent) => any>;
        required: boolean;
    };
    size: {
        type: PropType<ISize>;
        required: boolean;
    };
    variant: {
        type: PropType<IVariant>;
        required: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    outline: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    wide: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    active: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    pill: {
        type: BooleanConstructor;
        required: boolean;
    };
    block: {
        type: BooleanConstructor;
        required: boolean;
    };
    circle: {
        type: BooleanConstructor;
        required: boolean;
    };
    square: {
        type: BooleanConstructor;
        required: boolean;
    };
    disableAnimation: {
        type: BooleanConstructor;
        required: boolean;
    };
    label: {
        type: StringConstructor;
        required: boolean;
    };
}, () => vue.VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    onClick: {
        type: PropType<(e: MouseEvent) => any>;
        required: boolean;
    };
    size: {
        type: PropType<ISize>;
        required: boolean;
    };
    variant: {
        type: PropType<IVariant>;
        required: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    outline: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    wide: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    active: {
        type: BooleanConstructor;
        required: boolean;
        default: boolean;
    };
    pill: {
        type: BooleanConstructor;
        required: boolean;
    };
    block: {
        type: BooleanConstructor;
        required: boolean;
    };
    circle: {
        type: BooleanConstructor;
        required: boolean;
    };
    square: {
        type: BooleanConstructor;
        required: boolean;
    };
    disableAnimation: {
        type: BooleanConstructor;
        required: boolean;
    };
    label: {
        type: StringConstructor;
        required: boolean;
    };
}>>, {
    disabled: boolean;
    outline: boolean;
    wide: boolean;
    active: boolean;
    pill: boolean;
    block: boolean;
    circle: boolean;
    square: boolean;
    disableAnimation: boolean;
}, {}>;

declare const plugin: Plugin;

export { buttonProps, Component as default, plugin };
