import { App, Plugin } from 'vue'
import * as components from './components'

const plugin: Plugin = {
  install(app: App) {
    for (let componentKey in components) {
      if (Object.prototype.hasOwnProperty.call(components, componentKey)) {
        const component:any = components[componentKey as keyof typeof components];
        app.component(component.name, component);
      }
    }
  }
};


export default plugin